Subject: bug#14985: 24.3; rgrep and accents

From: "Sebastien Vauban" <[email-masked]>
Date: Tue, 30 Jul 2013 21:48:29 +0200

Stefan Monnier wrote:
>> If I call the command `rgrep' for recursively searching for the string
>> `Contrat signé' in some directory, I get "no matches found".
> [...]
>> If I copy/paste the above (huge) `grep-find' command into a Cygwin (Zsh)
>> shell, there it works...
> [...]
>> Important settings:
>>   value of $LANG: en_US.utf8
>>   locale-coding-system: cp1252
>
> My guess: Emacs encodes the command-line with the locale-coding-system
> (i.e. cp1252) whereas your files use utf-8 and the Cygwin shell probably
> also just uses the $LANG setting.
>
> Other guess: the problem might disappear under a Cygwin build of Emacs.
>
> I'm not sure how we could fix this problem.

Is there something I could try to force (some coding system variable) on
either side (Emacs or the Cygwin shell)?

Best regards,
  Seb

-- 
Sebastien Vauban